<?php
/**
 * @var \App\View\AppView $this
 * @var \Cake\Datasource\EntityInterface[]|ProductCategoryAttribute[] $productCategoryAttributes
 */

use Cake\Utility\Hash;
use CakeProducts\Model\Entity\ProductCategoryAttribute;
use CakeProducts\Model\Enum\ProductCategoryAttributeTypeId;

$this->setLayout('ajax');
?>

<?php
$cnt = 0;
foreach ($productCategoryAttributes as $productCategoryAttribute) {
    echo $this->Form->hidden('product_attributes.' . $cnt . '.product_category_attribute_id', [
            'value' => $productCategoryAttribute->id,
    ]);
    $inputType = 'text';
    $options = [];
    if ($productCategoryAttribute->attribute_type_id === ProductCategoryAttributeTypeId::Constrained) {
        $inputType = 'select';
        $options = !empty($productCategoryAttribute->product_category_attribute_options) ?
            Hash::combine($productCategoryAttribute->product_category_attribute_options, '{n}.id', '{n}.attribute_label') :
            [];
    }
    if ($productCategoryAttribute->attribute_type_id === ProductCategoryAttributeTypeId::Integer) {
        $inputType = 'number';
    }
    echo $this->Form->control('product_attributes.' . $cnt . '.product_category_attribute_id', [
        'type' => $inputType,
        'label' => $productCategoryAttribute->name,
        'options' => $options,
    ]);
}